package components

import ()

type Componenter interface {
	Component(ComponentKey) Component
	Components() ComponentStore
}

type (
	ComponentStore map[ComponentKey]Component
	ComponentKey   string

	Component interface {
		Shutdown()
	}
)
